> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Collectives

> Returns a list of Collectives accessible to the authenticated user



## OpenAPI

````yaml get /v1/collectives
openapi: 3.0.4
info:
  title: DER Connect Principal API
  description: Provides endpoints to manage the platform.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
paths:
  /v1/collectives:
    get:
      tags:
        - Collectives
      summary: List Collectives
      description: Returns a list of Collectives accessible to the authenticated user
      operationId: ListCollectivesEndpoint
      parameters:
        - name: pageSize
          in: query
          description: The number of Collectives per page
          schema:
            type: integer
            format: int32
            default: 25
        - name: continuationToken
          in: query
          description: The token used to retrieve the next page
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Service.Principal.App.Models.V1.PagedCollectives
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Service.Principal.App.Models.V1.PagedCollectives:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/Connect.Service.Principal.App.Models.V1.Collective
          nullable: true
        links:
          $ref: '#/components/schemas/Connect.Models.Links'
        meta:
          $ref: '#/components/schemas/Connect.Models.Meta'
      additionalProperties: false
      description: A page of Collectives
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Service.Principal.App.Models.V1.Collective:
      type: object
      properties:
        entities:
          type: array
          items:
            type: string
            format: uuid
          description: The Entities of the Collective
          nullable: true
        id:
          type: string
          description: The id of the Collective
          format: uuid
        name:
          type: string
          description: The name of the Collective
          nullable: true
        owner:
          type: string
          description: The owner of the Collective
          format: uuid
        properties:
          description: The custom properties of the Collective
          nullable: true
        type:
          $ref: >-
            #/components/schemas/Connect.Service.Principal.Core.Models.CollectiveType
      additionalProperties: false
      description: A Collective
    Connect.Models.Links:
      type: object
      properties:
        next:
          type: string
          nullable: true
      additionalProperties: false
    Connect.Models.Meta:
      type: object
      properties:
        continuationToken:
          type: string
          nullable: true
        pageSize:
          type: integer
          format: int32
      additionalProperties: false
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    Connect.Service.Principal.Core.Models.CollectiveType:
      enum:
        - Fleet
        - SolarFarm
        - VirtualPowerPlant
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````